[One Click Apps] Update the application platform settings
curl --request PATCH \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/one-click/platform \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auto_update_enabled": true,
"allowed_ips": [
"<string>"
]
}
'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/one-click/platform"
payload = {
"auto_update_enabled": True,
"allowed_ips": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({auto_update_enabled: true, allowed_ips: ['<string>']})
};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/one-click/platform', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Compute
[One Click Apps] Update the application platform settings
Change the automatic update flag and the additional CIDR list allowed to reach the platform API. The settings are applied on the instance asynchronously as an instance task.
PATCH
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
instances
/
{instance_id}
/
one-click
/
platform
[One Click Apps] Update the application platform settings
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
Unique identifier of the compute instance.
Unique identifier of the organization that owns the resource.
Unique identifier of the project containing the resource.
Body
application/json
Response
⌘I

